-- Copyleft Matthieu Lalonde 2012 LGPL

admins = { "admin@domain.tld" }

--use_libevent = true;

-- This is the list of modules Prosody will load on startup.
-- It looks for mod_modulename.lua in the plugins folder, so make sure that exists too.
-- Documentation on modules can be found at: http://prosody.im/doc/modules
modules_enabled = {
	-- Generally required
		"roster"; -- Allow users to have a roster. Recommended ;)
		"saslauth"; -- Authentication for clients and servers. Recommended if you want to log in.
		"tls"; -- Add support for secure TLS on c2s/s2s connections
		--"dialback"; -- s2s dialback support
		--"disco"; -- Service discovery

	-- Not essential, but recommended
		--"private"; -- Private XML storage (for room bookmarks, etc.)
		--"vcard"; -- Allow users to set vCards
		--"privacy"; -- Support privacy lists
		"compression"; -- Stream compression

	-- Nice to have
		--"legacyauth"; -- Legacy authentication. Only used by some old clients and bots.
		--"version"; -- Replies to server version requests
		--"uptime"; -- Report how long server has been running
		--"time"; -- Let others know the time here on this server
		"ping"; -- Replies to XMPP pings with pongs
		--"pep"; -- Enables users to publish their mood, activity, playing music and more
		--"register"; -- Allow users to register on this server using a client and change passwords
		--"adhoc"; -- Support for "ad-hoc commands" that can be executed with an XMPP client

	-- Admin interfaces
		--"admin_adhoc"; -- Allows administration via an XMPP client that supports ad-hoc commands
		--"admin_telnet"; -- Opens telnet console interface on localhost port 5582

	-- Other specific functionality
		"posix"; -- POSIX functionality, sends server to background, enables syslog, etc.
		--"bosh"; -- Enable BOSH clients, aka "Jabber over HTTP"
		--"httpserver"; -- Serve static files from a directory over HTTP
		--"groups"; -- Shared roster support
		--"announce"; -- Send announcement to all online users
		--"welcome"; -- Welcome users who register accounts
		--"watchregistrations"; -- Alert admins of registrations
		--"motd"; -- Send a message to users when they log in
};

modules_disabled = {
	-- "presence"; -- Route user/contact status information
	-- "message"; -- Route messages
	-- "iq"; -- Route info queries
	--"offline"; -- Store offline messages
};

allow_registration = false;


ssl = {
	key = "/opt/prosody/etc/prosody/certs/domain.tld.key";
	certificate = "/opt/prosody/etc/prosody/certs/domain.tld.cert";
};

c2s_require_encryption = true
s2s_require_encryption = true

--log = {
--       error = "*syslog"; -- Send error and higher to the syslog sink
--};
log = "/var/log/prosody/prosody.log"

compression_level = 7

authentication = "anon"

anons = {
	salt = "GIVEMEAGOODSALT";
	expiry_time = 30;
};

storage = "internal"


daemonize = true

VirtualHost "domain.tld"
	Component "conference.domain.tld" "muc"
	Component "proxy.domain.tld" "proxy65"

